LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

NI-VISA installation error

Solved!
Go to solution

Hi everyone..When building an application in labview,you have the option of including additional installers (National instruments Installers)..if i include N.I VISA Run time 5.1.1 in the installation but the computer of a given user already has N.I VISA Run time 5.1.2, the installation will fail in that user's computer...it gives the error:

Cannot install 

    • NI-VISA 5.1.1 (higher version already installed)

Run Time Support (higher version already installed) 

 

Is there way of preventing this from happening or going around this problem?.for example incase the installation process detects a higher version of the NI-VISA,it automatically adapts to that one and goes on with the installation process.Thanks in advance

0 Kudos
Message 1 of 8
(5,203 Views)

Does the installation actually fail? My understanding was that the NI drivers are mostly backwards compatible so if you have a newer version installed it will tell/warn you that a newer version is installed but the installation will continue and the application should work.

 

Is that not what you're experiencing?


LabVIEW Champion, CLA, CLED, CTD
(blog)
0 Kudos
Message 2 of 8
(5,177 Views)

no,at some point during the installation process you cannot click "NEXT" to proceed and it says :

 

Cannot install 

    • NI-VISA 5.1.1 (higher version already installed)

Run Time Support (higher version already installed) 

 

at this point your only option is to cancel the installation process...:(

 

0 Kudos
Message 3 of 8
(5,167 Views)

Can you include a screen shot or two that shows the failure and the windows view imediately previous to that?

 

My experience is that is simply skips that driver and continues with the remaining install also.

0 Kudos
Message 4 of 8
(5,148 Views)
Solution
Accepted by topic author alpony01

@alpony01 wrote:

no,at some point during the installation process you cannot click "NEXT" to proceed and it says :

 

Cannot install 

    • NI-VISA 5.1.1 (higher version already installed)

Run Time Support (higher version already installed) 

 

at this point your only option is to cancel the installation process...:(

 


You get that "no-other option" only if everything that can be installed is installed and the only thing left to install that you wanted to install cannot be installed.

 

Or, more simply, you can only cancel because no installation is available to install.  There is no "Next" because nothing is left to do.  Normal Windows install behavior!  (If I was the MSI designer the button would read "OK" and not "Cancel" but i'm not multi-lingual)


"Should be" isn't "Is" -Jay
Message 5 of 8
(5,143 Views)

oh!! yes..thanks..i actually hadnt checked if it had installed anything...thank you very much!!

0 Kudos
Message 6 of 8
(5,134 Views)

Hi..While using LabVIEW 2013 version i experienced a problem.. I am unable to use VISA resourse name as nothing is displayed in it(like comm 1 /comm 2)..

It only shows refresh tab..What could a possible solution to it..

0 Kudos
Message 7 of 8
(4,881 Views)
Ate you also just installing the VISA runtime? Otherwise, your post is off-topic and you should start s new thread. You are also missing s lot of details such as os, VISA version, hardware that is actually installed.
0 Kudos
Message 8 of 8
(4,877 Views)